#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "GameplayTagContainer.h"
#include "K39PowerAddon04.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UK39PowerAddon04 : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _tentacleSwingSpeedIncreaseTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _tentacleSwingSpeedIncreaseValue;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	float _tentacleSwingSpeedIncreasePercentage;

public:
	UK39PowerAddon04();
};

FORCEINLINE uint32 GetTypeHash(const UK39PowerAddon04) { return 0; }
